# Generated by Django 2.2.1 on 2019-05-31 16:02

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AboutCity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('places_to_see', models.TextField(blank=True, null=True)),
                ('city_traffic', models.TextField(blank=True, null=True)),
                ('how_to_arrive', models.TextField(blank=True, null=True)),
                ('where_to_go', models.TextField(blank=True, null=True)),
                ('food', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='AboutUni',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('generally', models.TextField(blank=True, null=True)),
                ('prof', models.TextField(blank=True, null=True)),
                ('subjects', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Finance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.PositiveIntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Media',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, default='default.png', null=True, upload_to='images')),
                ('videofile', models.FileField(blank=True, null=True, upload_to='videos', verbose_name='')),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=100)),
                ('ex_year', models.IntegerField(default=2019, validators=[django.core.validators.MinValueValidator(1975), django.core.validators.MaxValueValidator(2019)])),
                ('generally', models.TextField(blank=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='date_published')),
            ],
        ),
    ]
